## python-datrie 0.8.3

=== continuous_integration/appveyor/requirements.txt ===
hypothesis
pytest
wheel

## python-datrie 0.7.1

=== debian/changelog ===
python-datrie (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12
  * Bump standards version to 4.4.0 (no changes)
  * Enable hardening

 -- Ondřej Nový <onovy@debian.org>  Sat, 27 Jul 2019 18:19:56 +0200

python-datrie (0.7.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * Convert git repository from git-dpm to gbp layout.

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.1.2.
    + Set Rules-Requires-Root:no.
  * Mark the binaries as Multi-Arch:same (from the m-a hinter).
  * Add patch to fix DeprecationWarning (and so autopkgtest failure) with
    Python 3.7.  Closes: #904187

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Sep 2018 13:28:43 +0200

python-datrie (0.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Filip Pytloun ]
  * d/compat: Bump debhelper version to 11
  * d/control: Bump standards to 4.1.4
  * d/control: Require libdatrie 0.2.11-1 and newer
  * d/patches: Add 0003-Drop-use-of-libdatrie-patched-method.patch
  * Initial release (Closes: #828741)

 -- Filip Pytloun <filip@pytloun.cz>  Fri, 27 Apr 2018 09:06:02 +0200

=== debian/control ===
Source: python-datrie
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
Section: python
Priority: optional
Build-Depends:
 cython3,
 debhelper-compat (= 12),
 dh-python,
 libdatrie-dev (>= 0.2.11),
 python3-all-dev,
 python3-hypothesis,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.4.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/pytries/datrie
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-datrie
Vcs-Git: https://salsa.debian.org/python-team/modules/python-datrie.git

Package: python3-datrie
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Super-fast, efficiently stored Trie for Python 3
 trie variable is a dict-like object that can have unicode keys of certain
 ranges and Python objects as values.
 .
 In addition to implementing the mapping interface, tries facilitate finding
 the items for a given prefix, and vice versa, finding the items whose keys are
 prefixes of a given string. As a common special case, finding the
 longest-prefix item is also supported.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=datrie
export HYPOTHESIS_DATABASE_FILE = $(CURDIR)/debian/hypothesis
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	cython3 src/datrie.pyx src/cdatrie.pxd src/stdio_ext.pxd
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/hypothesis

## python-datrie 0.8

=== debian/changelog ===
python-datrie (0.8-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:43 +0100

python-datrie (0.8-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:18:13 +0000

python-datrie (0.8-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Andreas Tille ]
  * New upstream version

  [ Matthias Klose ]
  * Fix build with recent hypothesis version.
    Closes: #945472

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jan 2020 20:49:22 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-hypothesis,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pytries/datrie

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=datrie
-export HYPOTHESIS_DATABASE_FILE = $(CURDIR)/debian/hypothesis
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:

## python-datrie 0.8.2

=== debian/changelog ===
python-datrie (0.8.2-5build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:43:26 +0000

python-datrie (0.8.2-5build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:34:52 +0100

python-datrie (0.8.2-5) unstable; urgency=medium

  * Team upload.
  * d/rules: add -Wno-error=incompatible-pointer-types to the cflags as
    a workaround for https://bugs.debian.org/1077205 ; Closes: #1075412
  * d/watch: upgrade to version 4
  * d/control: upgrade autopkgtest to pybuild
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control: upgrade to PEP-517 building
  * d/clean: add more files. Closes: #1047783

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 15:21:36 +0200

python-datrie (0.8.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 19:26:50 +0000

python-datrie (0.8.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libdatrie-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 17:48:07 +0000

python-datrie (0.8.2-2) unstable; urgency=medium

  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 21:38:03 +0100

python-datrie (0.8.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael R. Crusoe ]
  * d/patches/big_endian: Decode string based on byteorder of system. Closes:
    #897094
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Removed 0004-Fix-DeprecationWarning-with-Python-3.7.patch as that was
    incorporated upstream.
  * Reworked 0002-Don-t-use-bundled-libdatrie.patch
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/clean: remove src/datrie.{c,html}
  * d/control: add python3-pytest-runner to Build-Depends

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 04 Nov 2020 10:51:01 +0100

=== debian/control ===
Source: python-datrie
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               libdatrie-dev,
               python3-all-dev,
               python3-hypothesis,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-datrie
Vcs-Git: https://salsa.debian.org/python-team/packages/python-datrie.git
Homepage: https://github.com/pytries/datrie
Rules-Requires-Root: no

Package: python3-datrie
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Super-fast, efficiently stored Trie for Python 3
 trie variable is a dict-like object that can have unicode keys of certain
 ranges and Python objects as values.
 .
 In addition to implementing the mapping interface, tries facilitate finding
 the items for a given prefix, and vice versa, finding the items whose keys are
 prefixes of a given string. As a common special case, finding the
 longest-prefix item is also supported.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/datrie/datrie-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-datrie 0.8.3

=== debian/changelog ===
python-datrie (0.8.3-2) unstable; urgency=medium

  * Team upload.
  * Remove Multi-Arch: same, since *.dist-info/WHEEL files conflict.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 01:04:23 +0100

python-datrie (0.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patch.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Aug 2025 17:28:12 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-datrie
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-datrie.git
 Homepage: https://github.com/pytries/datrie
@@ -22,7 +22,6 @@
 
 Package: python3-datrie
 Architecture: any
-Multi-Arch: same
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=datrie
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-Wno-error=incompatible-pointer-types

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	cython3 src/datrie.pyx src/cdatrie.pxd src/stdio_ext.pxd

execute_after_dh_auto_clean:
	rm -rf $(CURDIR)/debian/hypothesis
